Bug 1197692 - perl-Gnome2-GConf-1.044-21.fc23 FTBFS: blib/arch/auto/Gnome2/GConf/GConf.so: undefined symbol: gconf_engine_key_is_writable
Summary: perl-Gnome2-GConf-1.044-21.fc23 FTBFS: blib/arch/auto/Gnome2/GConf/GConf.so: ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Gnome2-GConf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
Depends On: 1197773
Blocks: harden-failure
TreeView+ depends on / blocked
 
Reported: 2015-03-02 12:08 UTC by Petr Pisar
Modified: 2015-04-21 18:49 UTC (History)
2 users (show)

Fixed In Version: perl-Gnome2-GConf-1.044-22.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-09 15:45:53 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
CPAN 91577 0 None None None Never

Description Petr Pisar 2015-03-02 12:08:27 UTC
perl-Gnome2-GConf-1.044-21.fc23 fails to build in F23:

"/usr/bin/perl" -MExtUtils::Command::MM -e 'cp_nonempty' -- GConf.bs blib/arch/auto/Gnome2/GConf/GConf.bs 644
Generating POD...
Can't load 'blib/arch/auto/Gnome2/GConf/GConf.so' for module Gnome2::GConf: blib/arch/auto/Gnome2/GConf/GConf.so: undefined symbol: gconf_engine_key_is_writable at /usr/lib/perl5/DynaLoader.pm line 193.
 at -e line 0.
Compilation failed in require.

Difference between working and failing build root:

Removed packages:
	acl-2.2.52-7.fc22
	audit-libs-2.4.1-1.fc22
	binutils-2.25-5.fc22
	bzip2-1.0.6-14.fc22
	bzip2-libs-1.0.6-14.fc22
	coreutils-8.23-6.fc22
	cpio-2.11-33.fc22
	curl-7.40.0-1.fc22
	dbus-glib-0.104-1.fc22
	diffutils-3.3-9.fc22
	dwz-0.11-4.fc22
	expat-2.1.0-10.fc22
	file-5.22-1.fc22
	file-libs-5.22-1.fc22
	fipscheck-1.4.1-7.fc22
	fipscheck-lib-1.4.1-7.fc22
	gawk-4.1.1-6.fc22
	GConf2-3.2.6-11.fc22
	GConf2-devel-3.2.6-11.fc22
	gdb-7.8.90.20150214-7.fc23
	gdbm-1.11-4.fc22
	gdbm-devel-1.11-4.fc22
	glib2-2.43.90-1.fc23
	glib2-devel-2.43.90-1.fc23
	glibc-2.21.90-3.fc23
	glibc-common-2.21.90-3.fc23
	glibc-devel-2.21.90-3.fc23
	glibc-headers-2.21.90-3.fc23
	gnupg2-2.1.2-1.fc23
	grep-2.21-3.fc22
	groff-base-1.22.3-3.fc22
	guile-2.0.11-4.fc22
	gzip-1.6-6.fc22
	info-5.2-8.fc22
	keyutils-libs-1.5.9-4.fc22
	kmod-19-1.fc22
	kmod-libs-19-1.fc22
	libacl-2.2.52-7.fc22
	libarchive-3.1.2-10.fc22
	libattr-2.4.47-9.fc22
	libcom_err-1.42.12-2.fc23
	libcurl-7.40.0-1.fc22
	libdb-5.3.28-9.fc22
	libdb-devel-5.3.28-9.fc22
	libdb-utils-5.3.28-9.fc22
	libgcrypt-1.6.2-2.fc22
	libidn-1.29-2.fc22
	libpwquality-1.2.4-2.fc22
	libuser-0.60-6.fc22
	libxml2-2.9.2-3.fc23
	libxml2-devel-2.9.2-3.fc23
	lua-5.3.0-1.fc22
	make-4.0-3.1.fc22
	ncurses-5.9-18.20150214.fc23
	ncurses-base-5.9-18.20150214.fc23
	ncurses-libs-5.9-18.20150214.fc23
	nss-3.17.4-3.fc22
	nss-sysinit-3.17.4-3.fc22
	nss-tools-3.17.4-3.fc22
	openssl-libs-1.0.1k-2.fc22
	p11-kit-0.23.1-1.fc23
	p11-kit-trust-0.23.1-1.fc23
	patch-2.7.4-1.fc22
	perl-5.20.2-321.fc23
	perl-devel-5.20.2-321.fc23
	perl-libs-5.20.2-321.fc23
	perl-macros-5.20.2-321.fc23
	perl-Pod-Escapes-1.06-321.fc23
	pkgconfig-0.28-6.fc22
	psmisc-22.21-5.fc22
	rpm-4.12.0.1-7.fc23
	rpm-build-4.12.0.1-7.fc23
	rpm-build-libs-4.12.0.1-7.fc23
	rpm-libs-4.12.0.1-7.fc23
	rpm-plugin-selinux-4.12.0.1-7.fc23
	sed-4.2.2-9.fc22
	shared-mime-info-1.4-2.fc22
	sqlite-3.8.8-2.fc22
	tar-1.28-3.fc22
	unzip-6.0-20.fc23
	which-2.20-10.fc23
Added packages:
	acl-2.2.52-8.fc23
	audit-libs-2.4.1-2.fc23
	binutils-2.25-6.fc23
	bzip2-1.0.6-15.fc23
	bzip2-libs-1.0.6-15.fc23
	coreutils-8.23-7.fc23
	cpio-2.11-34.fc23
	curl-7.40.0-2.fc23
	dbus-glib-0.104-2.fc23
	diffutils-3.3-10.fc23
	dwz-0.11-5.fc23
	expat-2.1.0-11.fc23
	file-5.22-2.fc23
	file-libs-5.22-2.fc23
	fipscheck-1.4.1-8.fc23
	fipscheck-lib-1.4.1-8.fc23
	gawk-4.1.1-7.fc23
	GConf2-3.2.6-12.fc23
	GConf2-devel-3.2.6-12.fc23
	gdb-7.8.90.20150214-8.fc23
	gdbm-1.11-5.fc23
	gdbm-devel-1.11-5.fc23
	glib2-2.43.90-2.fc23
	glib2-devel-2.43.90-2.fc23
	glibc-2.21.90-3.fc23.1
	glibc-common-2.21.90-3.fc23.1
	glibc-devel-2.21.90-3.fc23.1
	glibc-headers-2.21.90-3.fc23.1
	gnupg2-2.1.2-2.fc23
	grep-2.21-4.fc23
	groff-base-1.22.3-4.fc23
	guile-2.0.11-5.fc23
	gzip-1.6-7.fc23
	info-5.2-9.fc23
	keyutils-libs-1.5.9-5.fc23
	kmod-19-2.fc23
	kmod-libs-19-2.fc23
	libacl-2.2.52-8.fc23
	libarchive-3.1.2-11.fc23
	libattr-2.4.47-10.fc23
	libcom_err-1.42.12-3.fc23
	libcurl-7.40.0-2.fc23
	libdb-5.3.28-10.fc23
	libdb-devel-5.3.28-10.fc23
	libdb-utils-5.3.28-10.fc23
	libgcrypt-1.6.2-3.fc23
	libidn-1.29-3.fc23
	libpwquality-1.2.4-3.fc23
	libuser-0.60-7.fc23
	libxml2-2.9.2-4.fc23
	libxml2-devel-2.9.2-4.fc23
	lua-5.3.0-2.fc23
	make-4.0-4.1.fc23
	ncurses-5.9-19.20150214.fc23
	ncurses-base-5.9-19.20150214.fc23
	ncurses-libs-5.9-19.20150214.fc23
	nss-3.17.4-4.fc23
	nss-sysinit-3.17.4-4.fc23
	nss-tools-3.17.4-4.fc23
	openssl-libs-1.0.1k-3.fc23
	p11-kit-0.23.1-2.fc23
	p11-kit-trust-0.23.1-2.fc23
	patch-2.7.4-2.fc23
	perl-5.20.2-322.fc23
	perl-devel-5.20.2-322.fc23
	perl-libs-5.20.2-322.fc23
	perl-macros-5.20.2-322.fc23
	perl-Pod-Escapes-1.06-322.fc23
	pkgconfig-0.28-7.fc23
	psmisc-22.21-6.fc23
	rpm-4.12.0.1-7.fc23.1
	rpm-build-4.12.0.1-7.fc23.1
	rpm-build-libs-4.12.0.1-7.fc23.1
	rpm-libs-4.12.0.1-7.fc23.1
	rpm-plugin-selinux-4.12.0.1-7.fc23.1
	sed-4.2.2-10.fc23
	shared-mime-info-1.4-3.fc23
	sqlite-3.8.8-3.fc23
	tar-1.28-4.fc23
	unzip-6.0-21.fc23
	which-2.20-11.fc23

Comment 1 Petr Pisar 2015-03-09 15:34:59 UTC
I will remove support for the non-existing symbol. I believe the bug was there for many years but never noticed until F23 enabled hardened build flags with non-lazy DSO relocations.


Note You need to log in before you can comment on or make changes to this bug.